#!/usr/bin/env python
# -*- coding: utf-8 -*-

__author__    = "renaud blanch <http://iihm.imag.fr/blanch/>"
__copyright__ = "Copyright © 2010-2011 - Renaud Blanch"
__licence__   = "GPLv3 <http://www.gnu.org/licenses/gpl.html>"


"""
Drives "Fitts with distractors" experiment.

see <http://iihm.imag.fr/blanch/projects/distractors/>
"""


# imports ####################################################################

from random import shuffle

from experiment import Experiment
from techniques import (Flat, SemanticPointing, BubbleCursor, 
                        DynaSpot, RakeCursor)


# trials #####################################################################

tasks = []
for d in range(4):
	R = .6/(2**d)
	for ID in [3, 4, 5]:
		for A in [511, 1023]:
			tasks.append((ID, R, A))
shuffle(tasks)

TRAINING_LEN = 12
Techniques = [RakeCursor, SemanticPointing, BubbleCursor, DynaSpot]
l = len(Techniques)
i = 7

def trials(N=4):
	for Technique in [Flat]+(Techniques*2)[(i%l):(i%l)+l]:
		for task in tasks[:TRAINING_LEN]:
			yield Technique, task, True
		yield u"Fin de l'entrainement, début de l'enregistrement."
		for _ in range(N):
			for task in tasks:
				yield Technique, task, False
			yield u""
		yield u"Changement de technique, préparez vous pour l'entrainement..."

experiment = Experiment(trials())
experiment.run()
