# -*- coding: utf-8 -*-

__author__    = "renaud blanch <http://iihm.imag.fr/blanch/>"
__copyright__ = "Copyright © 2010-2011 - Renaud Blanch"
__licence__   = "GPLv3 <http://www.gnu.org/licenses/gpl.html>"


"""
Configuration constants for "Fitts with distractors" experiments.

see <http://iihm.imag.fr/blanch/projects/distractors/>
"""


# hardware ###################################################################

# laptop
LAPTOP, PILOTE, EXPE = range(3)
config = EXPE

MOUSE_DPI = 400. # pt/inch normals

if config == LAPTOP:
	SCREEN_WIDTH  = 1440
	SCREEN_HEIGHT = 900
	PIXEL_PITCH = .258
elif config == PILOTE:
	# syncmaster 172v
	SCREEN_WIDTH  = 1280
	SCREEN_HEIGHT = 1024
	PIXEL_PITCH = .264
	MOUSE_DPI = 800. # pt/inch MX 400
elif config == EXPE:
	SCREEN_WIDTH  = 1280
	SCREEN_HEIGHT = 1024
	PIXEL_PITCH = .264
	MOUSE_DPI = 800. # pt/inch MX 400

MM_PER_INCH = 25.4 # mm/inch
PX_PER_PT = MM_PER_INCH / MOUSE_DPI / PIXEL_PITCH


# colors & screen ############################################################

BACKGROUND_COLOR = 1.  , 1.  , 1.  , 1.
DISTRACTOR_COLOR =  .7 ,  .7 ,  .7 , 1.
HOME_COLOR       =  .25,  .5 , 1.  , 1.
TARGET_COLOR     = 1.  , 0. ,  .5  , 1.
FEEDBACK_COLOR   =  .25, 1.  ,  .5 , 1.
CURSOR_COLOR     = 0.  , 0.  , 0.  , 1.
TEXT_COLOR       =  .25,  .25,  .25, 1.

X_OFFSET = 100

MIN_A = 2.
MAX_A = SCREEN_WIDTH + SCREEN_HEIGHT/2.
