#!/usr/bin/env python
# -*- coding: utf8 -*-

__author__    = "renaud blanch [http://iihm.imag.fr/blanch/"
__copyright__ = "Copyright © 2010-2011 - Renaud Blanch"
__licence__   = "GPLv3 [http://www.gnu.org/licenses/gpl.html]"


"""
Gate between gaze server and pointing experiment that allow reconnection
"""


# imports ####################################################################


import socket
import threading


# global state ###############################################################

client_socket = None

HOST = "169.254.163.247"


# main loops #################################################################

# forwarding gaze to client

gaze_socket = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
gaze_socket.bind((HOST, 1234))

x, y = 0, 0
def gaze_loop():
	global x, y
	while True:
		gaze = gaze_socket.recv(1024)
		try:
			t, x, y = gaze.split()
			x, y = float(x), float(y)
		except:
			continue
		
gaze_thread = threading.Thread(target=gaze_loop)
gaze_thread.start()


# connection server

listening_socket = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
listening_socket.bind((HOST, 1235))
listening_socket.listen(1)

while True:
	client_socket, address = listening_socket.accept()
	print "new client"
	while True:
		try:
			client_socket.recv(1024)
			print "send", x, y
			client_socket.send("%.5f %.5f" % (x, y))
		except:
			break
